exec sp_srvrolepermission 'dbcreator'

exec sp_dbfixedrolepermission

-- Create a login and user for Joe.  
exec sp_addlogin 'joe'
exec sp_adduser 'joe'
grant create table to joe

-- Now log in as Joe and run this Transact-SQL
Use pubs
Create table mytable (c1 int NOT NULL)
GO
Execute sp_help mytable

-- Now, log back in as sysadmin and run this:
exec sp_addrolemember 'db_ddladmin','joe'

-- And back as joe again, run
drop table mytable
GO
Create table dbo.mytable (c1 int)
GO
EXEC sp_help mytable
-- and notice that the table is now owned by dbo.

-- To change table ownership:
Exec sp_changeobjectowner 'dbo.mytable', 'Joe'

-- Permissions
GRANT CREATE VIEW TO [RHome\Joe]

REVOKE CREATE TABLE, CREATE VIEW FROM [RHome\Mary], [RHome\Joe]

GRANT ALL TO [Rhome\Joe]

Exec sp_addrole 'Role1'
Exec sp_addrole 'Role2'
GO
GRANT CREATE TABLE TO Role1
GRANT CREATE VIEW to Role2
GRANT CREATE DEFAULT to [Rhome\Bob]
REVOKE ALL FROM Role1
DENY CREATE VIEW to [Rhome\Bob]

-- GRANT, REVOKE, DENY Syntax
GRANT SELECT ON SALES TO [Rhome\Joe]
REVOKE SELECT, INSERT ON AUTHORS FROM [Rhome\Mary], [Rhome\Joe]

GRANT SELECT ON AUTHORS (AU_FNAME, AU_LNAME) TO [Rhome\Joe]

GRANT SELECT (AU_FNAME, AU_LNAME) on AUTHORS TO [Rhome\Joe]

GRANT SELECT, INSERT ON PUBLISHERS TO [Rhome\Ann] WITH GRANT OPTION

REVOKE SELECT, INSERT ON PUBLISHERS FROM [Rhome\Ann] CASCADE