CREATE FUNCTION dbo.fnRoyaltySplitByAuthor()
RETURNS @RoyByAuthor TABLE 
  (au_lname varchar(40) NOT NULL,
   au_fname varchar(20) NULL,
   title varchar(80) NOT NULL,
   RoyToDate float)
AS
BEGIN
--Create a temp table to store my author count per title
    DECLARE @temptbl TABLE (title_id varchar(6) NOT NULL, num_authors tinyint NOT NULL)
    INSERT @temptbl
      SELECT title_id, COUNT(au_id) FROM titleauthor
      GROUP BY title_id
    

--Load my return table with a join between my temp table and all
--other appropriate tables.

    INSERT @RoyByAuthor
        SELECT a.au_fname, a.au_lname, t.title, 
	'RoyToDate' = ((t.ytd_sales * t.price * t.royalty / 100) 
          / tt.num_authors)
	FROM authors a, titles t, titleauthor ta, @temptbl tt
	WHERE a.au_id = ta.au_id AND t.title_id = ta.title_id
        AND t.title_id = tt.title_id
    RETURN
END

